FROM openshift/golang-builder:1.12 AS builder
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=10 OS_GIT_VERSION=4.3.10-202003311428-878550c OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=878550ca31308b77ebe4bf5574440a1457ec7fe7 SOURCE_GIT_TAG=878550c SOURCE_GIT_URL=https://github.com/openshift/kubecsr SOURCE_DATE_EPOCH=1573176683 OS_GIT_COMMIT=878550c BUILD_VERSION=v4.3.10 BUILD_RELEASE=202003311428

WORKDIR /go/src/github.com/coreos/kubecsr

COPY . .

RUN make bin/kube-etcd-signer-server

# stage 2
FROM openshift/ose-base:v4.3.10.20200331.142813
ENV OS_GIT_MAJOR=4 OS_GIT_MINOR=3 OS_GIT_PATCH=10 OS_GIT_VERSION=4.3.10-202003311428-878550c OS_GIT_TREE_STATE=clean SOURCE_GIT_COMMIT=878550ca31308b77ebe4bf5574440a1457ec7fe7 SOURCE_GIT_TAG=878550c SOURCE_GIT_URL=https://github.com/openshift/kubecsr SOURCE_DATE_EPOCH=1573176683 OS_GIT_COMMIT=878550c BUILD_VERSION=v4.3.10 BUILD_RELEASE=202003311428

ENTRYPOINT ["/usr/bin/kube-etcd-signer-server"]

COPY --from=builder /go/src/github.com/coreos/kubecsr/bin/kube-etcd-signer-server /usr/bin/

LABEL \
        io.k8s.display-name="kube-etcd-signer-server" \
        io.k8s.description="The certificate signer approves a given valid CSR provided by the client agent and returns a signed certificate." \
        maintainer="Sam Batschelet <sbatsche@redhat.com>" \
        License="Apache 2.0" \
        io.openshift.tags="kube-etcd-signer-server" \
        name="openshift/ose-kube-etcd-signer-server" \
        com.redhat.component="ose-kube-etcd-signer-server-container" \
        version="v4.3.10" \
        release="202003311428" \
        io.openshift.build.commit.id="878550ca31308b77ebe4bf5574440a1457ec7fe7" \
        io.openshift.build.source-location="https://github.com/openshift/kubecsr" \
        io.openshift.build.commit.url="https://github.com/openshift/kubecsr/commit/878550ca31308b77ebe4bf5574440a1457ec7fe7"

